package sy;

import ComprehensiveWorkingHourServiceImpl.beforlog;
import com.engine.common.util.ServiceUtil;
import com.engine.jucailinkq.attendance.workflow.service.AllowanceService;
import com.engine.jucailinkq.attendance.workflow.service.impl.AllowanceServiceImpl;
import com.engine.jucailinkq.common.util.CommonUtil;
import org.junit.Test;
import weaver.hrm.User;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Author: sy
 * @Description:
 * @Date: 2024/5/13
 **/
public class testCommonUtil extends beforlog {


    @Test
    public void test() throws Exception {
        User user = new User();
        user.setUid(1);
        user.setLanguage(7);
        List<Map<String, String>> empDateList = new ArrayList<>();
        Map<String, String> item = new HashMap<>();
        item.put("empId", "31");
        item.put("cqDate", "2024-07-31");
        empDateList.add(item);
        item = new HashMap<>();
        item.put("empId", "81");
        item.put("cqDate", "2024-07-30");
        empDateList.add(item);
        CommonUtil.updateAttendanceResultInfoStatus(empDateList, "0");



    }

}
